%
% L2ex4C.m
%
% Print a triangle of asterisks to the command window using a nested for
% loop
%
% Matlab-Monkey.com
% 12/30/2014

% tidy-up your workspace
clc         % clear command window
clear       % clear all variables
close all   % close all graphics windows

% get info from user
N = input('Enter number of rows:  ');

% The outer loop cycles through the rows.
% The inner loop prints the '*' along each row.
% Because the upper limit on the inner loop equals the index (i) of the outer
% loop, the number of '*' printed on each row will increases
for i=1:N
    for j=1:i
    	fprintf('*')    % prints an '*' without starting a new line
    end
    fprintf('\n')       % prints a carriage return to start a new line
end





